#
# spec file for package yiff (Version 2.10.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  glib glib-devel gpp gtk gtk-devel libgpp xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gpp gppshare grep groff gtk gtk-devel gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         yiff
Copyright:    1994 Kirk Lauritz Johnson
Group:        Applications/Sound
Provides:     yiff
Autoreqprov:  on
Version:      2.10.0
Release:      151
Summary:      A multi platform soundsystem for games
Source:       yiff%{version}.tgz
Patch:        yiff%{version}.dif
Patch1:       yiff-alpha.dif

%description
Yiff is a multiplatform soundsystem for game programmers. This package contains
the server and the libs as well as documentation.

Authors:
--------
    foxSWAPem2RPLYlear@furry.ao.net

SuSE series: snd

%prep -n yiff%{version}
%setup -n yiff%{version}
%patch 
%ifarch alpha
%patch1 -p1
%endif

%build 
for dir in libY2 yiff yiffconfig yiffutils; do
  cd $dir
  make -f Makefile.Linux
  MAN_PREFIX=%{_mandir} make -f Makefile.Linux install
  cd ..
done

%install
install -m0755 yiffstart /etc/init.d/rcyiff
rm -rf /usr/sbin/rcyiff && ln -s ../../etc/init.d/rcyiff /usr/sbin/rcyiff
install rc.config.yiff /var/adm/fillup-templates

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.yiff
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.yiff"
  echo "and update by hand."
fi
sbin/insserv etc/init.d/rcyiff

%postun
sbin/insserv etc/init.d/

%files
%doc AUTHORS INSTALL README LICENSE
/var/adm/fillup-templates/rc.config.yiff
%config /etc/yiffrc
# from yiff
/usr/sbin/rcyiff
%config /etc/init.d/rcyiff
/usr/sbin/yiff
# from yiffutils
/usr/X11R6/bin/yiffconfig
# from yiffutils
/usr/bin/yhost
/usr/bin/ymixer
/usr/bin/yplay
/usr/bin/yrecinfo
/usr/bin/yset
/usr/bin/yshutdown
# from libY2
/usr/include/Y2
/usr/lib/libY2.so.10
/usr/lib/libY2.so
%doc %{_mandir}/man3/YChangeAudioModePreset.3.gz
%doc %{_mandir}/man3/YCloseConnection.3.gz
%doc %{_mandir}/man3/YDestroyPlaySoundObject.3.gz
%doc %{_mandir}/man3/YEvent.3.gz
%doc %{_mandir}/man3/YFreeAudioModesList.3.gz
%doc %{_mandir}/man3/YGetAudioModes.3.gz
%doc %{_mandir}/man3/YGetAudioStats.3.gz
%doc %{_mandir}/man3/YGetNextEvent.3.gz
%doc %{_mandir}/man3/YGetSoundObjectAttributes.3.gz
%doc %{_mandir}/man3/YOpenConnection.3.gz
%doc %{_mandir}/man3/YPutBackEvent.3.gz
%doc %{_mandir}/man3/YSetAudioModeValues.3.gz
%doc %{_mandir}/man3/YSetCycle.3.gz
%doc %{_mandir}/man3/YSetPlaySoundObjectValues.3.gz
%doc %{_mandir}/man3/YStartPlaySoundObject.3.gz
%doc %{_mandir}/man3/YStartPlaySoundObjectSimple.3.gz

%changelog -n yiff
* Wed Aug 29 2001 - schwab@suse.de
- Fix conflicting declaration of errno.
* Thu Mar 08 2001 - uli@suse.de
- added xf86 to neededforbuild
* Wed Mar 07 2001 - stepan@suse.de
- alpha compile fixes
* Tue Nov 28 2000 - ro@suse.de
- fix startscript
* Sat Nov 04 2000 - kukuk@suse.de
- change neededforbuild to use new long package names
* Wed Sep 27 2000 - freitag@suse.de
- update to version 2.10.0
* Mon Jan 31 2000 - ro@suse.de
- added forgotten fillup-template
* Mon Dec 20 1999 - ro@suse.de
- added start/stop-links for runlevel 2 & 3
- added rc.config variable START_YIFF defaulting to "no"
* Fri Dec 17 1999 - freitag@suse.de
- initial version 2.03
